- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoIteratedIBMOLS< MOEOT, Move > Class Template Reference

Iterated version of IBMOLS as described in Basseur M., Burke K. More...

`#include <moeoIteratedIBMOLS.h>`

Inheritance diagram for moeoIteratedIBMOLS< MOEOT, Move >:

List of all members.

## Public Types
typedef MOEOT::ObjectiveVector | ObjectiveVector
| The type of objective vector.
## Public Member Functions
| moeoIteratedIBMOLS (moMoveInit< Move > &_moveInit, moNextMove< Move > &_nextMove, eoEvalFunc< MOEOT > &_eval, moeoMoveIncrEval< Move > &_moveIncrEval, moeoIndicatorBasedFitnessAssignment< MOEOT > &_fitnessAssignment, eoContinue< MOEOT > &_continuator, eoMonOp< MOEOT > &_monOp, eoMonOp< MOEOT > &_randomMonOp, unsigned int _nNoiseIterations=1)
| Ctor.
void | operator() (eoPop< MOEOT > &_pop, moeoArchive< MOEOT > &_arch)
| Apply the local search iteratively until the stopping criteria is met.
## Private Member Functions
void | generateNewSolutions (eoPop< MOEOT > &_pop, const moeoArchive< MOEOT > &_arch)
| Creates new population randomly initialized and/or initialized from the archive _arch.
## Private Attributes
moeoIBMOLS< MOEOT, Move > | ibmols
| the local search to iterate
eoEvalFunc< MOEOT > & | eval
| the full evaluation
eoContinue< MOEOT > & | continuator
| the stopping criteria
eoMonOp< MOEOT > & | monOp
| the monary operator
eoMonOp< MOEOT > & | randomMonOp
| the random monary operator (or random initializer)
unsigned int | nNoiseIterations
| the number of iterations to apply the random noise

## Detailed Description

### template<class MOEOT, class Move>
class moeoIteratedIBMOLS< MOEOT, Move >

Iterated version of IBMOLS as described in Basseur M., Burke K.

: "Indicator-Based Multi-Objective Local Search" (2007).

Definition at line 41 of file moeoIteratedIBMOLS.h.

## Constructor & Destructor Documentation

template<class MOEOT, class Move>

moeoIteratedIBMOLS< MOEOT, Move >::moeoIteratedIBMOLS | ( | moMoveInit< Move > & | _moveInit,
|  | moNextMove< Move > & | _nextMove,
|  | eoEvalFunc< MOEOT > & | _eval,
|  | moeoMoveIncrEval< Move > & | _moveIncrEval,
|  | moeoIndicatorBasedFitnessAssignment< MOEOT > & | _fitnessAssignment,
|  | eoContinue< MOEOT > & | _continuator,
|  | eoMonOp< MOEOT > & | _monOp,
|  | eoMonOp< MOEOT > & | _randomMonOp,
|  | unsigned int | _nNoiseIterations = `1` |
| ) |  |  | `[inline]`

Ctor.

Parameters:

  | _moveInit | the move initializer
  | _nextMove | the neighborhood explorer
  | _eval | the full evaluation
  | _moveIncrEval | the incremental evaluation
  | _fitnessAssignment | the fitness assignment strategy
  | _continuator | the stopping criteria
  | _monOp | the monary operator
  | _randomMonOp | the random monary operator (or random initializer)
  | _nNoiseIterations | the number of iterations to apply the random noise

Definition at line 61 of file moeoIteratedIBMOLS.h.

## Member Function Documentation

template<class MOEOT, class Move>

void moeoIteratedIBMOLS< MOEOT, Move >::operator() | ( | eoPop< MOEOT > & | _pop,
|  | moeoArchive< MOEOT > & | _arch |
| ) |  |  | `[inline, virtual]`

Apply the local search iteratively until the stopping criteria is met.

Parameters:

  | _pop | the initial population
  | _arch | the (updated) archive

Implements eoBF< eoPop< MOEOT > &, moeoArchive< MOEOT > &, void >.

Definition at line 86 of file moeoIteratedIBMOLS.h.

References moeoIteratedIBMOLS< MOEOT, Move >::continuator, moeoIteratedIBMOLS< MOEOT, Move >::generateNewSolutions(), moeoIteratedIBMOLS< MOEOT, Move >::ibmols, and moeoArchive< MOEOT >::update().

template<class MOEOT, class Move>

void moeoIteratedIBMOLS< MOEOT, Move >::generateNewSolutions | ( | eoPop< MOEOT > & | _pop,
|  | const moeoArchive< MOEOT > & | _arch |
| ) |  |  | `[inline, private]`

Creates new population randomly initialized and/or initialized from the archive _arch.

Parameters:

  | _pop | the output population
  | _arch | the archive

Definition at line 121 of file moeoIteratedIBMOLS.h.

References moeoIteratedIBMOLS< MOEOT, Move >::eval, eoPop< EOT >::invalidate(), moeoIteratedIBMOLS< MOEOT, Move >::monOp, moeoIteratedIBMOLS< MOEOT, Move >::nNoiseIterations, and moeoIteratedIBMOLS< MOEOT, Move >::randomMonOp.

Referenced by moeoIteratedIBMOLS< MOEOT, Move >::operator()().

The documentation for this class was generated from the following file:

- moeoIteratedIBMOLS.h